summaryrefslogtreecommitdiffstats
path: root/configs/process_configs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'configs/process_configs.sh')
-rwxr-xr-xconfigs/process_configs.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/configs/process_configs.sh b/configs/process_configs.sh
index a2ec3acb0..846fe2e70 100755
--- a/configs/process_configs.sh
+++ b/configs/process_configs.sh
@@ -14,7 +14,7 @@ die()
switch_to_toplevel()
{
path="$(pwd)"
- while test -n "$path"
+ while test "$path" != "/"
do
test -e $path/MAINTAINERS && \
test -d $path/drivers && \
@@ -23,7 +23,7 @@ switch_to_toplevel()
path="$(dirname $path)"
done
- test -n "$path" || die "Can't find toplevel"
+ test "$path" != "/" || die "Can't find toplevel"
echo "$path"
}